const commPrefix = '/api'

const apis = {
  user: {
    login: {
      method: 'post',
      url: `${commPrefix}/user/login`
    },
    logout: {
      method: 'post',
      url: `${commPrefix}/user/loginOut`
    },
    updatepass: {
      method: 'put',
      url: `${commPrefix}/admin/password`
    },
    getuser: {
      method: 'get',
      url: `${commPrefix}/user/info`
    }
  },
  building: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildinglist`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/building/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/building/update`
    },
    updateStatus: {
      method: 'put',
      url: `${commPrefix}/building/update/status`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingSelectId/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/building/delete/:id`
    }
  },
  apartment: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/buildingId/:buildingId`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingApartment/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingApartment/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/apartment/deleted/:id`
    }
  },
  appointment: {
    list: {
      method: 'get',
      url: `${commPrefix}/appointmentlist`
    },
    writeoff: {
      method: 'put',
      url: `${commPrefix}/appointment/writeoff/:id`
    }
  },
  file: {
    upload: {
      method: 'post',
      url: `${commPrefix}/uploadImage`
    }
  },
  activity: {
    list: {
      method: 'get',
      url: `${commPrefix}/activity/list`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/activity/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/activity/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/activity/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/activity/delete/:id`
    },
    enrolls: {
      method: 'post',
      url: `${commPrefix}/activity/enroll/list/:id`
    },
    public: {
      method: 'put',
      url: `${commPrefix}/activity/send/:id`
    },
    cancel: {
      method: 'put',
      url: `${commPrefix}/activity/cancel/:id`
    }
  },
  dict: {
    get: {
      method: 'get',
      url: `${commPrefix}/dict`
    }
  },
  customer: {
    list: {
      method: 'get',
      url: `${commPrefix}/customerList`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/customerSelectId/:id`
    }
  },
  comment: {
    list: {
      method: 'get',
      url: `${commPrefix}/comment/list`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/comment/delete/:id`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/comment/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/comment/add`
    }
  },
  banner: {
    list: {
      method: 'get',
      url: `${commPrefix}/pageImgList`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/pageImgDetail/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/pageIm/add`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/pageIm/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/pageImg/delete`
    }
  },
  dynamic: {
    list: {
      method: 'get',
      url: `${commPrefix}/iBuildingDynamicList`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/iBuildingDynamicSelectId/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingDynamic/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/buildingDynamic/delete`
    },
    public: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/send/:id`
    },
    cancel: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/cancel/:id`
    }
  }
}

export default apis
