
const pages = [  
  {
    path: '',
    name: 'dashboard',
    component: () => import('./Dashboard.vue'),
    meta: {
      menuShow: true,
      title: 'Dashboard',
    },
  },
  {
    path: 'cms',
    name: 'cms',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: 'CMS管理',
    },
    children: [
      {
        path: 'pageBannerList',
        name: 'pageBannerList',
        component: () => import('./cms/pageImgList.vue'),
        meta: {
          menuShow: true,
          title: 'Banner管理',
        },
      },
      {
        path: 'pageBannerEdit',
        name: 'pageBannerEdit',
        component: () => import('./cms/pageImgEdit.vue'),
        meta: {
          menuShow: false,
          title: 'Banner编辑',
        },
      }
    ]
  },
  {
    path: 'building',
    name: 'building',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '楼盘设置',
    },
    children: [
      {
        path: 'buildinglist',
        name: 'buildinglist',
        component: () => import('./building/list.vue'),
        meta: {
          menuShow: true,
          title: '楼盘列表',
        },
      },
      {
        path: 'buildingedit',
        name: 'buildingedit',
        component: () => import('./building/edit.vue'),
        meta: {
          menuShow: false,
        },
      },
      {
        path: 'appointment',
        name: 'appointment',
        component: () => import('./appointment/list.vue'),
        meta: {
          menuShow: true,
          title: '预约信息',
        },
      },
      {
        path: 'dynamiclist',
        name: 'dynamiclist',
        component: () => import('./dynamic/list.vue'),
        meta: {
          menuShow: true,
          title: '项目动态列表',
        },
      },
      {
        path: 'dynamicedit',
        name: 'dynamicedit',
        component: () => import('./dynamic/edit.vue'),
        meta: {
          menuShow: false,
          title: '项目动态编辑',
        },
      }
    ]
  },
  {
    path: 'activity',
    name: 'activity',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '活动设置',
    },
    children: [
      {
        path: 'activitylist',
        name: 'activitylist',
        component: () => import('./activity/list.vue'),
        meta: {
          menuShow: true,
          title: '活动列表',
        },
      },
      {
        path: 'activityedit',
        name: 'activityedit',
        component: () => import('./activity/edit.vue'),
        meta: {
          menuShow: false
        },
      },
    ]
  },
  {
    path: 'customer',
    name: 'customer',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '会员管理',
    },
    children: [
      {
        path: 'customerlist',
        name: 'customerlist',
        component: () => import('./customer/list.vue'),
        meta: {
          menuShow: true,
          title: '会员列表',
        },
      },
      {
        path: 'customeredit',
        name: 'customeredit',
        component: () => import('./customer/detail.vue'),
        meta: {
          menuShow: false
        },
      },
    ]
  },
  {
    path: 'comment',
    name: 'comment',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '评论管理',
    },
    children: [
      {
        path: 'commentlist',
        name: 'commentlist',
        component: () => import('./comment/list.vue'),
        meta: {
          menuShow: true,
          title: '评论列表',
        },
      },
      {
        path: 'commentdetail',
        name: 'commentdetail',
        component: () => import('./comment/detail.vue'),
        meta: {
          title: '评论详情',
        },
      }
    ]
  }
]

const flatten = (rts, parents = []) => {
  return rts.reduce((acc, rt) => {
    const chs = rt.children && rt.children.length ?
      flatten(rt.children, parents.concat(rt)) : []
    
    return [...acc, { ...rt, parents }, ...chs]
  }, [])
}

const pageArray = flatten(pages)

export { pages, pageArray }
